Index: et/com_err.c
--- et/com_err.c.orig	2003-06-04 05:27:50.000000000 +0200
+++ et/com_err.c	2004-02-02 19:56:00.000000000 +0100
@@ -50,7 +50,7 @@
 #include <string.h>
 #include "mit-sipb-copyright.h"
 
-#if defined(HAVE_STDARG_H) || defined(_WINDOWS)
+#if defined(HAVE_STDARG_H) || defined(__STDC__) || defined(_WINDOWS)
 #include <stdarg.h>
 #else
 #include <varargs.h>
Index: lib/cyrusdb_skiplist.c
--- lib/cyrusdb_skiplist.c.orig	2003-12-15 17:04:35.000000000 +0100
+++ lib/cyrusdb_skiplist.c	2004-02-02 19:56:00.000000000 +0100
@@ -71,6 +71,11 @@
 
 #define PROB (0.5)
 
+#ifdef __FreeBSD__
+/* #define fdatasync(fd) fsync(fd) */
+#define O_DSYNC 0
+#endif
+
 /* 
  *
  * disk format; all numbers in network byte order
Index: lib/prot.h
--- lib/prot.h.orig	2003-10-22 20:50:12.000000000 +0200
+++ lib/prot.h	2004-02-02 19:58:47.000000000 +0100
@@ -49,6 +49,7 @@
 #include <time.h>
 #include <stdio.h>
 #include <stdlib.h>
+#include <sys/time.h>
 
 #include <sasl/sasl.h>
 
Index: perl/sieve/lib/isieve.c
--- perl/sieve/lib/isieve.c.orig	2003-10-22 20:50:25.000000000 +0200
+++ perl/sieve/lib/isieve.c	2004-02-02 20:01:21.000000000 +0100
@@ -41,9 +41,7 @@
 
 /* $Id: imapd.patch,v 1.12 2004/11/13 14:53:34 rse Exp $ */
 
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
+#include "../../../config.h"
 
 #ifdef HAVE_UNISTD_H
 #include <unistd.h>
Index: perl/Makefile.in
--- perl/Makefile.in.orig	2003-10-22 20:50:17.000000000 +0200
+++ perl/Makefile.in	2004-02-02 21:23:32.000000000 +0100
@@ -82,7 +82,8 @@
 			   BDB_LIB="$(BDB_LIB)" BDB_INC="$(BDB_INC)" \
 			   OPENSSL_LIB="$(OPENSSL_LIB)" OPENSSL_INC="$(OPENSSL_INC)" \
 			   SASL_LIB="$(SASL_LIB)" SASL_INC="$(SASL_INC)" CC="$(CC)" \
-			     $(PERL) Makefile.PL PREFIX=$(prefix); \
+			     $(PERL) Makefile.PL PREFIX=$(prefix) \
+			         INSTALLDIRS="vendor" INSTALLMAN3DIR="none" INSTALLSITEMAN3DIR="none" INSTALLVENDORMAN3DIR="none"; \
 			fi; \
 			$(MAKE) $(MFLAGS) DESTDIR=$(DESTDIR) all) || exit 1; \
 	done
Index: perl/sieve/Makefile.in
--- perl/sieve/Makefile.in.orig	2003-10-22 20:50:24.000000000 +0200
+++ perl/sieve/Makefile.in	2004-02-02 21:41:22.000000000 +0100
@@ -84,7 +84,8 @@
 			   BDB_LIB="$(BDB_LIB)" BDB_INC="$(BDB_INC)" \
 			   OPENSSL_LIB="$(OPENSSL_LIB)" OPENSSL_INC="$(OPENSSL_INC)" \
 			   SASL_LIB="$(SASL_LIB)" SASL_INC="$(SASL_INC)" CC="$(CC)" \
-			     $(PERL) Makefile.PL PREFIX=$(prefix); \
+			     $(PERL) Makefile.PL PREFIX=$(prefix) \
+			         INSTALLDIRS="vendor" INSTALLMAN3DIR="none" INSTALLSITEMAN3DIR="none" INSTALLVENDORMAN3DIR="none"; \
 			fi; \
 			$(MAKE) $(MFLAGS) DESTDIR=$(DESTDIR) all) || exit 1; \
 	done
Index: imap/mboxname.c
--- imap/mboxname.c.orig	2004-03-17 10:03:40.000000000 +0200
+++ imap/mboxname.c	2004-03-17 10:03:40.000000000 +0200
@@ -129,7 +129,11 @@
 		domainlen = strlen(result);
 	    }
 	}
+#ifdef ATVDOM /* allow '@' being a regular character in mboxname even when using virtual domains */
+	else if ((cp = strrchr(name, '@'))) {
+#else
 	if ((cp = strrchr(name, '@'))) {
+#endif /* ATVDOM */
 	    /* mailbox specified as mbox@domain */
 	    namelen = cp - name;
 

Index: lib/cyrusdb_berkeley.c
--- lib/cyrusdb_berkeley.c.orig	2004-03-11 19:36:44 +0100
+++ lib/cyrusdb_berkeley.c	2004-11-13 13:48:28 +0100
@@ -104,7 +104,7 @@
     exit(EC_TEMPFAIL);
 }
 
-static void db_err(const char *db_prfx, char *buffer)
+static void db_err(const DB_ENV *dbenv, const char *db_prfx, const char *buffer)
 {
     syslog(LOG_WARNING, "DBERROR %s: %s", db_prfx, buffer);
 }
Index: lib/imapopts.h
--- lib/imapopts.h.orig	2005-02-14 18:59:46 +0100
+++ lib/imapopts.h	2005-09-24 17:44:27 +0200
@@ -178,7 +178,6 @@
 
 };
 
-extern struct imapopt_s imapopts[];
 
 
 
@@ -236,5 +235,7 @@
 
 };
 
+extern struct imapopt_s imapopts[];
+
 #endif /* INCLUDED_IMAPOPTIONS_H */
 
